Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | [Expand All]
public interface

# Participatable

com.google.android.gms.games.multiplayer.Participatable

Known Indirect Subclasses
Invitation, InvitationEntity, Room, RoomEntity, TurnBasedMatch, TurnBasedMatchEntity

Invitation | Data interface for an invitation object.
InvitationEntity | Data object representing the data for a multiplayer invitation.
Room | Data interface for room functionality.
RoomEntity | Data object representing the data for a room.
TurnBasedMatch | Data interface for turn-based specific match functionality.
TurnBasedMatchEntity | Data object representing the data for a turn-based match.

## Class Overview

Interface defining methods for an object which can have participants.

## Summary

Public Methods
abstract ArrayList<Participant> | getParticipants() Retrieve the `Participant`s for this object.

## Public Methods

#### public abstract ArrayList<Participant> getParticipants ()

Retrieve the `Participant`s for this object. This is a list of all Participants applicable to the given object.

##### Returns

- A list of `Participant`s for this object.